<template>
    <div class="all">
        <div class="left">
            <u-equipment-tree @select="selectEquipment"></u-equipment-tree>
        </div>
        <div class="right">
          <interlock-summary-list ref="summaryList" :selectData="selectData"></interlock-summary-list>
        </div>
    </div>
</template>

<script>
import InterlockSummaryList from './InterlockSummaryList.vue';

    export default({
        components: {
            InterlockSummaryList
        },
        data () {
            return {
                selectData: {}
            }
        },
        methods: {
            selectEquipment(selectedKeys,e){
                // console.log(99,selectedKeys,e)
                if (selectedKeys.length == 0) {
                    this.$nextTick(()=>{
                        this.$refs.summaryList.searchReset();
                    })
                } else {
                    let interlockType = e.selectedNodes[0].data.props.interlockType
                    let pid = e.selectedNodes[0].data.props.pid
                    // console.log(88,interlockType)
                    this.selectData.interlockType = interlockType
                    this.selectData.pid = pid
                    this.selectData.id = e.selectedNodes[0].data.props.id
                    this.$nextTick(()=>{
                        this.$refs.summaryList.getDataList();
                    })
                }
            }
        },
    })
</script>

<style scoped>
.all{
    height: calc(100vh - 65px);
    width: 100%;
    display: flex;
}
.left{
    height: 100%;
    width: 20%;
    /* border: 2px solid red; */
    margin-right: 10px;
    margin-left: 5px;
}
.right{
    height: 100%;
    width: 80%;
    /* border: 2px solid red; */
}
</style>
